/*
 * Copyright (c) 2011-2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * \file error.c
 *
 *  \date Aug 24, 2011
 *  \author Alexandre Tuleu
 */

#include <stdlib.h>

#include "error.h"




void sbcpd_init_error(sbcpd_error * error, sbcpd_error_domain domain){
	error->code = 0;
	error->domain = domain;
	error->msg = "";
}

sbcpd_error * sbcpd_create_global_error(){
	sbcpd_error * err = malloc(sizeof(struct sbcpd_error_str));
	err->domain = SBCPD_GLOBAL_ERROR;
	err->msg = "";
	return err;
}


void sbcpd_free_global_error(sbcpd_error * error){
	if(!error){
		return;
	}
	if (error->domain != SBCPD_GLOBAL_ERROR){
		return;
	}
	free(error);
}

