/*
 * Copyright (c) 2011-2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * \file ft2232h.h
 *
 *  \date Jul 25, 2011
 *  \author Alexandre Tuleu
 */


#ifndef SBCPD_FTDI_FT2232_H_
#define SBCPD_FTDI_FT2232_H_

#include <math.h>
#include <ftdi.h>

#ifdef __cplusplus
extern "C" {
#endif

int ft2232h_convert_baudrate(int baudrate,
                             unsigned short *value,
                             unsigned short *index);


int ft2232h_set_baudrate(struct ftdi_context * ftdi, int baudrate);

int ft2232h_set_latency_timer(struct ftdi_context *ftdi,
                              unsigned char latency);


#ifdef __cplusplus
}
#endif

#endif //SBCPD_FTDI_FT2232_H_
