/*
 * Copyright (c) 2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * \file stats_private.h
 *
 *  \date May 20, 2013
 *  \author Alexandre Tuleu
 */

#ifndef SBCPD_PRIVATE_STATS_H_
#define SBCPD_PRIVATE_STATS_H_

#include <sbcpd/stats.h>

/**
 * Unsafe structure. ABI will not be ensured. Please use the public API
 */

struct sbcpd_stats_str {

	sbcpd_nb_packet_t total_packet;
	sbcpd_nb_packet_t app_errors;
	sbcpd_nb_packet_t com_errors[SBCPD_CERR_NUMBER_OF_ERRORS];

};


sbcpd_stats * sbcpd_create_stats();

void sbcpd_free_stats(sbcpd_stats * stats);

void sbcpd_stats_log_transfer(sbcpd_stats * s, sbcpd_transfer * t);



#endif /* SBCPD_PRIVATE_STATS_H_ */
