/*
 * Copyright (c) 2011-2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * \file linux_serial.h
 *
 *  \date Oct 6, 2011
 *  \author Alexandre Tuleu
 */

#ifndef SBCPD_SI_LINUX_SERIAL_H_
#define SBCPD_SI_LINUX_SERIAL_H_

#include "serial_interface.h"

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


sbcpd_serial_interface * sbcpd_linux_serial_create_interface();


int sbcpd_linux_serial_open(sbcpd_serial_interface * si,
                            const char * devname,
                            unsigned int baudrate);


void sbcpd_linux_serial_close(sbcpd_serial_interface * si);

void sbcpd_linux_serial_free(sbcpd_serial_interface * si);

int sbcpd_linux_serial_write(sbcpd_serial_interface * si,
                             const sbcpd_byte_t * data,
                             int size);

int sbcpd_linux_serial_read(sbcpd_serial_interface * si,
                            sbcpd_byte_t * data,
                            int size);

#ifdef __cplusplus
}
#endif //__cplusplus


#endif // SBCPD_SI_LINUX_SERIAL_H_
