/*
 * Copyright (c) 2011-2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * \file BusUTest.h
 *
 *  \date Apr 16, 2012
 *  \author Alexandre Tuleu
 */

#ifndef SBCPD_BUSUTEST_H_
#define SBCPD_BUSUTEST_H_

#include <gtest/gtest.h>

#include <sbcpd/bus.h>

#include "FakeSerialInterface.h"

/**
 *
 */
class BusUTest : public ::testing::Test {
protected :
	void SetUp();
	void TearDown();

	sbcpd_byte_t * ExpectMessageExchange(sbcpd_packet_size_t out_size,
	                                     sbcpd_packet_size_t in_size,
	                                     sbcpd_byte_t error);

	void PrepareFrame();
	void PrepareAndCompromiseFrame();
	void CompromiseFrame();

	void PrepareTimeoutByMaster();
	sbcpd_bus * bus;
	MockSerialInterface * mock_si;
	sbcpd_transfer * t1,*t2,*t3;
};


class UnMasterisedBusUTest : public ::testing::Test {
protected :
	void SetUp();
	void TearDown();


	sbcpd_bus * bus;
	MockSerialInterface * mock_si;
	sbcpd_transfer * t;
};

#endif // SBCPD_BUSUTEST_H_
