/*
 * Copyright (c) 2011-2013 Alexandre Tuleu <alexandre.tuleu.2005@polytechnique.org>
 * Ecole Polytechnique Fédérale de Lausanne.
 *
 * this file is part of sbcpd.
 *
 * sbcpd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * sbcpd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the Lesser GNU General Public License
 * along with sbcpd.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * \file DoubleLinkedListUTest.h
 *
 *  \date Apr 13, 2012
 *  \author Alexandre Tuleu
 */

#ifndef SBCPD_DOUBLELINKEDLISTUTEST_H_
#define SBCPD_DOUBLELINKEDLISTUTEST_H_

#include <sbcpd/private/transfer_manager.h>

#include <gtest/gtest.h>

class DoubleLinkedListUTest : public ::testing::Test {
protected :
	virtual void SetUp();

	virtual void TearDown();

	void TestListIntegrity(unsigned int nbEl = 4);

	sbcpd_dl_list * list;
	sbcpd_dl_item * it[4];
};

#endif // SBCPD_DOUBLELINKEDLISTUTEST_H_
